/********************************************************************************************************
Macro Name:   blendHC.sas
Author:       Matthew Psioda
Affiliation:  Department of Biostatistics, University of North Carolina at Chapel Hill
    
**** Program Summary:
      
    Called by %fitRE. This macro combines the historical control dataset with 
    the simulated study data for by processing. The macro is not intended to be used 
    in any other context.
      
*********************************************************************************************************/

%macro blendHC;

data _null_;
 set &inDS. end=last;
 if last then call symput('studyReplicateNumber',strip(put(studyReplicate,best.)));
run;

data hcData;
 set &hcDataset.;
 SubjectID = _n_;

 do studyReplicate = 1 to &studyReplicateNumber.;
  output;
 end;
run; proc sort; by StudyReplicate; run;

data _TEMP_;
 set &inDS.(in=a) hcData(in=b);
 by studyReplicate;

  length Study $50.;
  if a then Study = 'SIMULATION';
  else Study = 'HISTORICAL';


 array temp(*) _Numeric_;
 do j = 1 to dim(temp);
  temp(j) = max(temp(j),0);
 end;

 drop j;

run;


%mend blendHC;
